<?php
namespace Mollie\Payment\Block\Adminhtml\System\Config\Form\Apikey\Checker;

/**
 * Interceptor class for @see \Mollie\Payment\Block\Adminhtml\System\Config\Form\Apikey\Checker
 */
class Interceptor extends \Mollie\Payment\Block\Adminhtml\System\Config\Form\Apikey\Checker implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Mollie\Payment\Helper\General $mollieHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $mollieHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
